Toxicity:
  Cardiotoxicity:
    dir: &dir_herg "s3://datasets-ressources/PADMET_Panel/Toxicity/Cardiotoxicity"

    hERG:
      - filename: "admetsar_hERG_clf.xls"
        task: "clf" # classification task
        dir: *dir_herg
        smiles_col: "SMILES"
        unit:
        type:
        target_cols: ["Labels"]
        short_cols:
          SMILES: "SMILES"
          CLASS: "Labels"
        opt_kwargs:
          value: 0
          type:
        open_kwargs: {}
        ref: "10.1093/bioinformatics/bty707"

      - filename: "admetsar_hERG_reg.xls"
        task: "both"
        dir: *dir_herg
        smiles_col: "SMILES"
        unit:
        target_cols: ["IC50"]
        short_cols:
          SMILES: "SMILES"
          ACTIVITY: "IC50"
          CLASS: "Labels"
        open_kwargs: {}
        opt_kwargs:
          value: 10
          type: "HI"
        ref: "10.1093/bioinformatics/bty707"

      - filename: "vnn_hERG.csv"
        task: "clf"
        dir: *dir_herg
        smiles_col: "Smiles"
        unit:
        target_cols: ["Property"]
        short_cols:
          SMILES: "Smiles"
          CLASS: "Property"
        open_kwargs: {}
        opt_kwargs:
          value: 0
          type:
        ref: "10.3389/fphar.2017.00889"

      - filename: "ExCAPEDB_hERG.csv"
        task: "both"
        dir: *dir_herg
        smiles_col: "SMILES"
        unit:
        target_cols: ["pXC50"]
        short_cols:
#          ID: "Original_Entry_ID"
          SMILES: "Smiles"
          ACTIVITY: "pXC50"
          CLASS: "Activity_Flag"
          ref: "Original_Assay_ID"
        open_kwargs: {}
        unified_label:
          CLASS:
            "N": 0
            "A": 1
        opt_kwargs:
          value: 0
          type: LO

  Carcinogenicity:

    dir: &dir_carc "s3://datasets-ressources/PADMET_Panel/Toxicity/Carcinogenicity"

    Carc:
      - filename: "admetsar_Carc.xls"
        task: "clf"
        dir: *dir_carc
        smiles_col: "SMILES"
        unit:
        type:
        target_cols: ["Label"]
        short_cols:
          SMILES: "SMILES"
          CLASS: "Label"
        open_kwargs: {}
        opt_kwargs:
          value: 0
          type:
        ref: "10.1093/bioinformatics/bty707"

#      - filename: "Carcinogenic2009_invivoai_raw_m.csv"
#        task: "reg"
#        dir: *dir_carc
#        smiles_col: "SMILES TestedForm"
#        unit: "mg/kg body weight"
#        type: "Mouse TD50"
#        Note: "Contains replicates which needs to be merged"
#        target_cols: ["td50"]
#        merge_op: "max"
#        preprocess_op: ["log", "negative"]
#        short_cols:
#          SMILES: "SMILES TestedForm"
#          ACTIVITY: "td50"
#        open_kwargs:
#          sep: ";"
#        opt_kwargs:
#          value: 0
#          type: 'HI'
#        ref:
#
#      - filename: "Carcinogenic2009_invivoai_raw_r.csv"
#        task: "reg"
#        dir: *dir_carc
#        smiles_col: "SMILES TestedForm"
#        unit: "mg/kg body weight"
#        type: "Rat TD50"
#        Note: "Contains replicates which needs to be merged"
#        target_cols: ["td50"]
#        merge_op: "max"
#        preprocess_op: ["log10", "negative"]
#        short_cols:
#          SMILES: "SMILES TestedForm"
#          ACTIVITY: "td50"
#        open_kwargs:
#          sep: ";"
#        opt_kwargs:
#          value: 0
#          type: 'HI'
#        ref:

      - filename: "cyclica_Carcinogenicity_1.csv"
        task: "both"
        dir: *dir_carc
        smiles_col: "SMILES TestedForm"
        unit: "mg/kg body weight"
        type: "Rat TD50"
        Note: "Contains replicates which needs to be merged"
        target_cols: ["td50"]
        short_cols:
          CAS: "CASRN"
          ACTIVITY: "Carcinogenic Potency Expressed as TD50"
          CLASS: "Carcinogenic Potency Expressed as P or NP"
        open_kwargs: {}
        unified_label:
          CLASS:
            "P": 1
            "NP": 0
          ACTIVITY:
            "NP": 0
        opt_kwargs:
          ACTIVITY:
            value:
            type: 'HI'
          CLASS:
            value: 0
            type:
        ref: "Cyclica"

      #rat
      - filename: "cyclica_Carcinogenicity_2.xlsx"
        task: "reg"
        dir: *dir_carc
        smiles_col: "SMILES TestedForm"
        unit: ["mg", "mmol"]
        type: "Rat TD50"
        Note: "Contains replicates which needs to be merged"
        target_cols: ["TD50_Rat_mg", "TD50_Rat_mmol"]
        short_cols:
          SMILES: "STRUCTURE_SMILES"
          ACTIVITY: "TD50_Rat_mmol"
        open_kwargs:
          sheet_name: "805with all carcinog data"
        unified_label:
          ACTIVITY:
            "NP": 0
        opt_kwargs:
          ACTIVITY:
            value:
            type: 'LO'
        ref: "Cyclica"

      # mouse
      - filename: "cyclica_Carcinogenicity_2.xlsx"
        task: "reg"
        dir: *dir_carc
        smiles_col: "SMILES TestedForm"
        unit: ["mg", "mmol"]
        type: "Mouse TD50"
        Note: "Contains replicates which needs to be merged"
        target_cols: ["TD50_Mouse_mg", "TD50_Mouse_mmol"]
        short_cols:
          SMILES: "STRUCTURE_SMILES"
#          Activity_ori: "TD50_Mouse_mg"
          ACTIVITY: "TD50_Mouse_mmol"
        open_kwargs:
          sheet_name: "805with all carcinog data"
        unified_label:
          ACTIVITY:
            "NP": 0
        opt_kwargs:
          ACTIVITY:
            value:
            type: 'LO'
        ref: "Cyclica"

      # Hamster
      - filename: "cyclica_Carcinogenicity_2.xlsx"
        task: "reg"
        dir: *dir_carc
        smiles_col: "SMILES TestedForm"
        unit: ["mg", "mmol"]
        type: "Hamster TD50"
        Note: "Contains replicates which needs to be merged"
        target_cols: ["TD50_Hamster_mg", "TD50_Hamster_mmol"]
        short_cols:
          SMILES: "STRUCTURE_SMILES"
#          Activity_ori: "TD50_Hamster_mg"
          ACTIVITY: "TD50_Hamster_mmol"
        open_kwargs:
          sheet_name: "805with all carcinog data"
        unified_label:
          ACTIVITY:
            "NP": 0
        opt_kwargs:
          ACTIVITY:
            value:
            type: 'LO'
        ref: "Cyclica"

  FishToxicity:
    dir: &dir_fish "s3://datasets-ressources/PADMET_Panel/Toxicity/FishToxicity"
    FT:
      - filename: "Admetsar_FHMT_clf.xls"
        task: "clf"
        dir: *dir_fish
        smiles_col: "SMILES"
        unit:
        type:
        Note:
        target_cols: ["Endpoint"]
        short_cols:
#          ID: "CAS"
          SMILES: "SMILES"
          CLASS: "Labels"
        open_kwargs: {}
        opt_kwargs:
          CLASS:
            value: 0
            type:
        ref: "admetsar"

      - filename: "Admetsar_FHMT_reg.txt"
        task: "reg"
        dir: *dir_fish
        smiles_col: "SMILES"
        unit: ["LC50,mg/L", "pLC50,mg/L"]
        type:
        Note: "Fathead Minnow"
        target_cols: ["End Points (pLC50,mg/L )"]
        short_cols:
#          ID: "CAS RN"
          SMILES: "smiles"
          ACTIVITY: "End Points (pLC50,mg/L )"
#          Activity_ori: "End Points (LC50,mg/L )"
        open_kwargs:
          sep: "\t"
        opt_kwargs:
          ACTIVITY:
            value:
            type: 'LO'
        ref: "admetsar"

  Genotoxicity:
    dir: &dir_geno "s3://datasets-ressources/PADMET_Panel/Toxicity/Genotoxicity"
    Geno:
      - filename: "ExCAPE_DB_ATAD5.csv"
        task: "both"
        dir: *dir_geno
        smiles_col: "SMILES"
        unit:
        target_cols: ["pXC50"]
        short_cols:
#          ID: "Original_Entry_ID"
          SMILES: "Smiles"
          ACTIVITY: "pXC50"
          CLASS: "Activity_Flag"
          ref: "Original_Assay_ID"
        open_kwargs: {}
        unified_label:
          CLASS:
            "N": 0
            "A": 1
        opt_kwargs:
          value: 5
          type: LO

  HoneyBeeToxicity:
    dir: &dir_bee "s3://datasets-ressources/PADMET_Panel/Toxicity/HoneyBeeToxicity"
    HBT:
      - filename: "Admetsar_HBT_clf.xls"
        task: "clf"
        dir: *dir_bee
        smiles_col: "SMILES"
        unit:
        type:
        Note:
        target_cols: ["End point"]
        short_cols:
#          ID: "CAS"
          SMILES: "SMILES"
          CLASS: "Label"
        open_kwargs: {}
        opt_kwargs:
          ACTIVITY:
            value: 0
            type:
#        unified_label:
#          CLASS:
#            highAT: 1
#            lowAT: 0
        ref: "admetsar"

  LiverToxicity:
    dir: &dir_liver  "s3://datasets-ressources/PADMET_Panel/Toxicity/LiverToxicity"
    Hepatotoxicity:
      - filename: "Hepatotoxicity.csv"
        task: "clf"
        dir: *dir_liver
        smiles_col: "Smiles"
        unit:
        type:
        target_cols: ["Property"]
        short_cols:
          SMILES: "Smiles"
          CLASS: "Property"
        open_kwargs: {}
        opt_kwargs:
          value: 0
          type:

      - filename: "DILI.csv"
        task: "clf"
        dir: *dir_liver
        smiles_col: "Smiles"
        unit:
        target_cols: ["Property"]
        short_cols:
          SMILES: "Smiles"
          CLASS: "Property"
        open_kwargs: {}
        opt_kwargs:
          value: 0
          type:

  MitochondrialToxicity:
    dir: &dir_mito  "s3://datasets-ressources/PADMET_Panel/Toxicity/MitochondrialToxicity"
    Hepatotoxicity:
      - filename: "vnn_MMP.csv"
        task: "clf"
        dir: *dir_mito
        smiles_col: "Smiles"
        unit:
        type:
        target_cols: ["Property"]
        short_cols:
          SMILES: "SMILES"
          CLASS: "Property"
        open_kwargs: {}
        opt_kwargs:
          value: 0
          type:


  Mutagenicity:
    dir: &dir_muta  "s3://datasets-ressources/PADMET_Panel/Toxicity/Mutagenicity"
    AmesMutagenicity:
      - filename: "admetsar_AMES.xls"
        task: "clf"
        dir: *dir_muta
        smiles_col: "SMILES"
        unit:
        target_cols: ["Label"]
        short_cols:
#          ID: "CAS_ID"
          SMILES: "SMILES"
          CLASS: "Label"
        open_kwargs: {}
        opt_kwargs:
          value: 0
          type:
        ref: "10.1093/bioinformatics/bty707"

      - filename: "AmesMultahenicity2019_invivoai.csv"
        task: "clf"
        dir: *dir_muta
        smiles_col: "SMILES"
        unit:
          type:
        target_cols: ["Property"]
        short_cols:
          SMILES: "SMILES"
          CLASS: "Labels"
          ref: "ref"
        open_kwargs:
          sep: ";"
        opt_kwargs:
          value: 0
          type:
        unified_label:
          CLASS:
            "mutagens": 1
            "non-mutagens": 0

      - filename: "cyclica_ames.tsv"
        task: "clf"
        dir: *dir_muta
        smiles_col: "Canonical_Smiles"
        unit:
        target_cols: ["Activity"]
        short_cols:
#          ID: "CAS_NO"
          SMILES: "Canonical_Smiles"
          CLASS: "Activity"
        open_kwargs:
          sep: "\t"
        opt_kwargs:
          value: 0
          type:
        ref: "10.1088/2632-2153/ab891b"

      - filename: "vnn_MMP.csv"
        task: "clf"
        dir: *dir_muta
        smiles_col: "Smiles"
        unit:
          type:
        target_cols: ["Property"]
        short_cols:
          SMILES: "Smiles"
          CLASS: "Property"
        open_kwargs: {}
        opt_kwargs:
          value: 0
          type:
        ref: "10.3389/fphar.2017.00889"

      - filename: "cyclica_Carcinogenicity_2.xlsx"
        task: "clf"
        dir: *dir_carc
        smiles_col: "SMILES TestedForm"
        unit:
        type: "Mutagenicity"
        Note: "Contains replicates which needs to be merged"
        target_cols: ["td50"]
        short_cols:
          SMILES: "STRUCTURE_SMILES"
          CLASS: "Mutagenicity_SAL_CPDB"
        open_kwargs:
          sheet_name: "805with all carcinog data"
        unified_label:
          CLASS:
            "positive": 1
            "negative": 0
        opt_kwargs:
          CLASS:
            value: 0
            type:
        ref: "Cyclica"

  TetrahymenaToxicity:
    dir: &dir_tt  "s3://datasets-ressources/PADMET_Panel/Toxicity/TetrahymenaToxicity"
    TT:
      - filename: "Admetsar_TPT_clf.xls"
        task: "clf"
        dir: *dir_tt
        smiles_col: "SMILES"
        unit:
        target_cols: ["End points"]
        short_cols:
          SMILES: "SMILES"
          CLASS: "End points"
        open_kwargs: {}
        unified_label:
          CLASS:
            "TPT": 1
            "non-TPT": 0
        opt_kwargs:
          value: 0
          type:
        ref: "10.1093/bioinformatics/bty707"

      - filename: "Admetsar_TPT_reg.txt"
        task: "reg"
        dir: *dir_tt
        smiles_col: "SMILES"
        unit: "pIGCC50,ug/L"
        target_cols: ["End Points (pIGCC50,ug/L )"]
        short_cols:
#          ID: "CAS RN"
          SMILES: "SMILES"
          ACTIVITY: "End Points (pIGCC50,ug/L )"
        open_kwargs: {}
        opt_kwargs:
          value:
          type: 'LO'
        ref: "10.1093/bioinformatics/bty707"